=== debian/control ===
Source: ubuntu-terminal-app
Priority: extra
Maintainer: Ubuntu App Cats <ubuntu-touch-coreapps@lists.launchpad.net>
Build-Depends: cmake,
               debhelper (>= 9),
               dh-python,
               python3-all,
               gettext,
               intltool,
               libpam0g-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qt5-default
Standards-Version: 3.9.8
Section: misc
Homepage: https://launchpad.net/ubuntu-terminal-app
Vcs-Bzr: https://code.launchpad.net/~ubuntu-terminal-dev/ubuntu-terminal-app/reboot

Package: ubuntu-terminal-app
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qmltermwidget1.0,
         qml-module-pamauthentication0.1,
         qml-module-qtquick2,
         qml-module-ubuntu-components,
         qml-module-qt-labs-settings,
         qml-module-qtsysteminfo (>= 5.0~),
Description: Terminal application
 Core Terminal application

Package: qml-module-qmltermwidget1.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${misc:Pre-Depends},
Description: QMLTermWidget QML plugin.
 This package contains the QMLTermWidget terminal emulator plugin
 for Qt Qml.

Package: qml-module-pamauthentication0.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${misc:Pre-Depends},
Description: PAM authentication QML plugin
 This package contains a plugin that enables QML apps to do
 password authentication via the PAM API.

Package: ubuntu-terminal-app-autopilot
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         libautopilot-qt,
         libqt5test5,
         python3-autopilot,
         ubuntu-terminal-app (>= ${source:Version}),
         ubuntu-ui-toolkit-autopilot,
Description: Autopilot tests for Terminal Application
 This package contains the autopilot tests for the Terminal
