## ubuntu-terminal-app 0.7.218

=== debian/changelog ===
ubuntu-terminal-app (0.7.218) yakkety; urgency=medium

  [ Michael Sheldon ]
  * Add transitional packages for qml-module renaming. (LP: #1628781)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 30 Sep 2016 12:54:32 +1000
