=== debian/changelog ===
ubuntu-terminal-app (0.7.218ubuntu1) yakkety; urgency=medium

  * Make the .desktop file be NotShowIn=Unity. This will prevent two
    applications called "Terminal" from showing up in the Unity 7 dash. This
    only works because Unity 8 doesn't respect the NotShowIn key at the
    current time - and therefore this solution is only a temporary measure for
    the 16.10 release and will be reverted shortly thereafter.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 03 Oct 2016 17:50:29 +0100
