## ubuntu-terminal-app 0.7.218ubuntu2

=== debian/changelog ===
ubuntu-terminal-app (0.7.218ubuntu2) yakkety; urgency=medium

  * Use OnlyShowIn=Unity8 instead. Apparently the situation changed and the
    previous formulation ("NotShowIn=Unity") started working on Unity 8, which
    hid the terminal there.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Oct 2016 14:27:03 +0100
