## ubuntu-terminal-app 0.7.218+17.04.20170405.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
-project(com.ubuntu.terminal C CXX)
+project(ubuntu-terminal-app C CXX)
 cmake_minimum_required(VERSION 2.8.9)
 find_program(INTLTOOL_MERGE intltool-merge)
 find_program(INTLTOOL_EXTRACT intltool-extract)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra -fPIC")
+
+# Enable QML debugging in debug builds
+set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -62,13 +65,9 @@
          RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
          *.json *.json.in *.apparmor)
 
-    add_custom_target(com_ubuntu_terminal_CLICKFiles ALL SOURCES ${CLICK_FILES})
+    add_custom_target(ubuntu-terminal-app_CLICKFiles ALL SOURCES ${CLICK_FILES})
 else(CLICK_MODE)
-    execute_process(
-        COMMAND qmake -query QT_INSTALL_QML
-        OUTPUT_VARIABLE QT_IMPORTS_DIR
-        OUTPUT_STRIP_TRAILING_WHITESPACE
-    )
+    set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
@@ -87,6 +86,11 @@
 install(FILES ${SRC_FILES}
     DESTINATION ${DATA_DIR})
 
+# Make non compiled files visible in qtcreator
+file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
+add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
+
+
 configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
 
 add_custom_target(${DESKTOP_FILE} ALL
